package org.project.item.consumables;

import org.project.entity.Entity;

// TODO: UPDATE IMPLEMENTATION
public class Flask extends Consumable{
    /*
    THIS IS AN EXAMPLE OF A CONSUMABLE DESIGN.
    */
    public Flask() {
        super(50);
    }

    // TODO: UPDATE USE METHOD
    @Override
    public void use(Entity target) {
        target.heal(target.getMaxHP() / 10);
    }

    // Defines the display name
    @Override
    public String getName() {
        return "Healing Flask";
    }

    //The effect of the flask
    @Override
    public String getDescription() {
        return "A small flask that restores a portion of the user's health.";
    }

}
